Subject: Re: [PATCH v17 08/15] seccomp: add system call filtering using BPF

From: Andrew Morton <[email-masked]>
Date: Fri, 6 Apr 2012 14:09:29 -0700

On Fri, 06 Apr 2012 14:06:01 -0700
"H. Peter Anvin" <[email-masked]> wrote:

> On 04/06/2012 02:05 PM, Andrew Morton wrote:
> >>>
> >>> hm, I'm surprised that we don't have a zero-returning implementation of
> >>> is_compat_task() when CONFIG_COMPAT=n.  Seems silly.  Blames Arnd.
> >>
> >> There is
> > 
> > I can't find it.  The definition in include/linux/compat.h is inside
> > #ifdef CONFIG_COMPAT.
> > 
> 
> I thought Linus globalized it very recently...

Oh, yeah, I misread.

We should be able to remove quite a few open-coded ifdefs now.